[or-cvs] r23490: {} push branches/web20 to trunk. (in website: . trunk)

Andrew Lewman andrew at torproject.org
Sat Oct 9 17:58:24 UTC 2010


Author: phobos
Date: 2010-10-09 17:58:23 +0000 (Sat, 09 Oct 2010)
New Revision: 23490

Added:
   website/trunk/
   website/trunk/publish
Removed:
   website/trunk/publish
Log:
push branches/web20 to trunk.


Deleted: website/trunk/publish
===================================================================
--- website/branches/web20/publish	2010-10-09 14:22:07 UTC (rev 23485)
+++ website/trunk/publish	2010-10-09 17:58:23 UTC (rev 23490)
@@ -1,24 +0,0 @@
-#!/bin/sh
-set -e # stop if we encounter an error
-
-svn update
-make
-
-# Update a timestamp so we can check whether each mirror is
-# up to date.
-[ -d project/trace ] || mkdir -p project/trace
-date -u > project/trace/www.torproject.org
-
-# don't copy over stuff with permissions that make it useless
-chmod a+r * -R
-
-## I'm not comfortable having arbitrary people use --delete yet,
-## since if they screw up it'll blow away arbitrary things.
-#rsync -Prvz --delete . tor.eff.org:directory/
-
-rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . byblos:/var/www/www.torproject.org/htdocs/
-ssh byblos chmod g+w -R /var/www/www.torproject.org/htdocs
-
-echo "Forcing mirror update"
-ssh byblos '/var/lib/mirror-tor/trigger-sync'
-

Copied: website/trunk/publish (from rev 23488, website/branches/web20/publish)
===================================================================
--- website/trunk/publish	                        (rev 0)
+++ website/trunk/publish	2010-10-09 17:58:23 UTC (rev 23490)
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e # stop if we encounter an error
+
+svn update
+make -j3
+
+# Update a timestamp so we can check whether each mirror is
+# up to date.
+[ -d project/trace ] || mkdir -p project/trace
+date -u > project/trace/www.torproject.org
+
+# don't copy over stuff with permissions that make it useless
+chmod a+r * -R
+rsync --exclude .svn --exclude .deps --exclude svn --exclude dist --exclude releases --exclude torbutton-current.xpi -Prvz --delete . vescum:/srv/www-master.torproject.org/htdocs
+ssh vescum chmod g+w -R /srv/www-master.torproject.org/htdocs
+
+echo "Forcing mirror update"
+ssh vescum '/home/mirroradm/bin/trigger-mirrors'



More information about the tor-commits mailing list